Subject: Re: bug#16577: Add regexp-based version of completion-ignored-extensions

From: Eli Zaretskii <[email-masked]>
Date: Mon, 21 Feb 2022 19:13:58 +0200

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked],
>   [email-masked]
> Date: Mon, 21 Feb 2022 18:01:03 +0100
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > Regular expressions don't understand file names, they are just strings
> > as far as regexps are concerned.
> 
> Of course they're strings, but a regexp operator has semantics.

I thought you were asking about some builtin feature of regexp
matches, and tried to explain why that doesn't exist.

If you are talking about something we should concoct, then I don't
think I see a problem expressing "match after / or at the start of the
string" in the regexp notation.  So why were you asking about it?